Skip to main content
`Ctrl`+`K`

# PCGAMGSetRankReductionFactors

Set a manual schedule for MPI rank reduction on coarse grids

## Synopsis

    #include "petscpc.h"
    #include "petscksp.h"
    PetscErrorCode PCGAMGSetRankReductionFactors(PC pc, PetscInt v[], PetscInt n)

Collective

## Input Parameters

- pc - the preconditioner context

- v - array of reduction factors. 0 for first value forces a reduction to one process/device on first level in CUDA

- n - number of values provided in array

## Options Database Key

- -pc_gamg_rank_reduction_factors <factors> - provide the schedule

## See Also

the Users Manual section on PCGAMG, the Users Manual section on PCMG, KSP: Linear System Solvers, `PCGAMG`, `PCGAMGSetProcEqLim()`, `PCGAMGSetCoarseEqLim()`, `PCGAMGSetParallelCoarseGridSolve()`

## Level

intermediate

## Location

src/ksp/pc/impls/gamg/gamg.c

## Implementations

PCGAMGSetRankReductionFactors_GAMG() in src/ksp/pc/impls/gamg/gamg.c

Index of all PC routines
Table of Contents for all manual pages
Index of all manual pages